<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 7</title>
	<style type="text/css">
		.calculadora {

		}
/*
		.cnumero{
			width: 100px;
			height: 20px;
			border: 1px black solid;
		}

*/
	input[type=text], input[type=number]{
		height: 25px;
		width: 75px;
		margin: 10px;
	}	

	</style>	

	<script type="text/javascript">		
		
		window.addEventListener("load",function() {
		  document.querySelector("#bcalcula").addEventListener("click", function() {
		    let n1;
		    
		    let caja=document.querySelector(".resultados");
		    
			n1=document.querySelector(".numero").value;
			

			for(let i=1; i<10;i++){
				
				//caja.innerHTML+='<div class=\"cnumero\">'+n1+'* '+i+'='+n1*i+'</div>';
				document.querySelector(".numero"+i).value=n1;
				document.querySelector(".resultado"+i).value=n1*i;
			}
			
		  });
		});
		
	</script>
	
</head>
<body>
	<h1>Tabla de multiplicar</h1>
	<div class="calculadora">
		<label for="numero">Introduce un numero</label><br>
		<input type="number" class="numero">
		<input type="button" value="CALCULAR" id="bcalcula">
	</div>
	<div class="resultados">
		<div>
			<input type="text"  class="numero1">
			<span>* 1 = </span>
			<input type="text" name="resultado1" class="resultado1">
		</div>
		<div>
			<input type="text"  class="numero2">
			<span>* 2 = </span>
			<input type="text" name="resultado2" class="resultado2" >
		</div>
		<div>
			<input type="text" class="numero3">
			<span>* 3 = </span>
			<input type="text" name="resultado3" class="resultado3" >
		</div>
		<div>
			<input type="text" class="numero4">
			<span>* 4 = </span>
			<input type="text" name="resultado4" class="resultado4">
		</div>
		<div>
			<input type="text" class="numero5">
			<span>* 5 = </span>
			<input type="text" name="resultado5" class="resultado5">
		</div>
		<div>
			<input type="text" class="numero6">
			<span>* 6 = </span>
			<input type="text" name="resultado6" class="resultado6">
		</div>
		<div>
			<input type="text" class="numero7">
			<span>* 7 = </span>
			<input type="text" name="resultado7" class="resultado7">
		</div>
		<div>
			<input type="text" class="numero8">
			<span>* 8 = </span>
			<input type="text" name="resultado8" class="resultado8">
		</div>
		<div>
			<input type="text" class="numero9">
			<span>* 9 = </span>
			<input type="text" name="resultado9" class="resultado9">
		</div>
	</div>
	
</body>
</html>